
Figure - Bug #118390
 【BSP】【VX1】【EVT3】【Display】VX1从user版本烧写userdebug版本后， 设备黑屏,重新插拔恢复
2023-05-31 14:43 - 移动测试一组_CDTS 刘强

Status: ASSIGNED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: CD TPM-王祥林 % Done: 10%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0102 user->0106 userdebug

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

Description

前置条件：

初始未正常启动的user版本

操作步骤：

1、烧写userdebug版本

2、上电开机

实际结果：

1、开机后黑屏，重新插拔恢复

预期结果：

1、开机后正常显示

History

#1 - 2023-05-31 14:44 - 移动测试一组_CDTS 刘强

移动测试一组_CDTS 刘强 wrote:

Description

前置条件：

初始为正常启动的user版本

操作步骤：

1、烧写userdebug版本

2、上电开机

实际结果：

1、开机后黑屏，重新插拔恢复

预期结果：

1、开机后正常显示
#2 - 2023-05-31 14:49 - 移动测试一组_CDTS 刘强

- File kernel.txt added

- File all.txt added

#3 - 2023-05-31 17:59 - CD BSP-余霄

01-01 08:00:33.497     0     0 I [   15.044838] [MAX975X: max96755g_probe] INFO begin

01-01 08:00:33.497     0     0 D [   15.049855] cnss: iommu_geometry: 0

01-01 08:00:33.497     0     0 I         : [   15.055514] max96755g 0-0040: Linked as a consumer to regulator.52

01-01 08:00:33.497     0     0 D [   15.063172] cnss: PCIe DRV is supported

01-01 08:00:33.497     0     0 I         : [   15.063347] cnss_pci 0000:01:00.0: BAR 0: assigned [mem 0x60300000-0x603fffff 64bit]

01-01 08:00:33.497     0     0 E         : [   15.132346] i2c_geni 980000.i2c: i2c error :-107

01-01 08:00:33.497     0     0 I         : [   15.135247] pci-msm-rc 0000:00:00.0: enabling device (0006 -> 0007)

01-01 08:00:33.497     0     0 E [   15.143060] [MAX975X: max96755g_write_byte] ERROR Failed to write dev:0x4c addr:0x0206 value:0xa3

01-01 08:00:33.497     0     0 I [   15.143064] [MAX975X: max96755x_touch_init] INFO VX1 GPIO Pass

01-01 08:00:33.497     0     0 E         : [   15.143329] i2c_geni 980000.i2c: i2c error :-107

01-01 08:00:33.498     0     0 I         : [   15.149074] cnss_pci 0000:01:00.0: enabling device (0000 -> 0002)

01-01 08:00:33.498     0     0 E [   15.156506] [MAX975X: max96755g_write_byte] ERROR Failed to write dev:0x4c addr:0x0002 value:0x43

01-01 08:00:33.498     0     0 E         : [   15.156770] i2c_geni 980000.i2c: i2c error :-107

01-01 08:00:33.498     0     0 D [   15.164466] cnss: Config PCIe remap window register to 0x4000003f

01-01 08:00:33.498     0     0 E [   15.169641] [MAX975X: max96755g_write_byte] ERROR Failed to write dev:0x4c addr:0x0218 value:0x84

01-01 08:00:33.498     0     0 D [   15.176150] cnss: Read register offset 0x1f8031c, val = 0x6

01-01 08:00:33.498     0     0 E         : [   15.183196] i2c_geni 980000.i2c: i2c error :-107

01-01 08:00:33.498     0     0 D [   15.188423] cnss: Write val 0x2 to register offset 0x1f8031c

01-01 08:00:33.498     0     0 E [   15.195754] [MAX975X: max96755g_write_byte] ERROR Failed to write dev:0x4c addr:0x0219 value:0xa8

01-01 08:00:33.498     0     0 E         : [   15.196018] i2c_geni 980000.i2c: i2c error :-107

01-01 08:00:33.498     0     0 D [   15.205088] cnss: MSI base data is 800

01-01 08:00:33.498     0     0 E [   15.206921] [MAX975X: max96755g_write_byte] ERROR Failed to write dev:0x4c addr:0x021a value:0x09

01-01 08:00:33.498     0     0 D [   15.213027] cnss: BAR starts at 0x0000000060300000, len-100000

01-01 08:00:33.498     0     0 I [   15.286712] [MAX975X: max96755g_probe] INFO successfully

i2c通信报错，开机插拔后恢复，怀疑和硬件或线缆连接有关

#4 - 2023-05-31 18:10 - 移动测试一组_CDTS 刘强

烧写user版本不复现问题

#5 - 2023-05-31 18:21 - CD BSP-杜磊

- Status changed from New to ASSIGNED

user版本开机时间较短，userdebug版本开机时间较长，可能与VX1屏幕的心跳机制有关，超过大概20s,没有写入心跳包，屏幕会自动黑屏。

VX的问题延后处理，优先VC

#6 - 2023-06-06 13:43 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

- % Done changed from 0 to 10

使用0606的userdebug版本进行验证，从一上电到kernel阶段显示驱动初始化所花时长为21秒，而VX1的lcd 内部有心跳机制，需要每隔18S写一次寄存器。
而userdebug版本开机时间较长，大于18S,导致心跳包发送超时而发生黑屏。心跳机制时长是VX1 lcd内部规定，主机控制器无法更改。

需要优化userdebug版本开机时长，其中在aboot阶段花费时间较长，需要做系统优化。

PS: user版本开机正常，因为user版本开机时间短

#7 - 2023-06-07 20:52 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

userdebug版本不是交付版本，优先级降低暂不处理。

#8 - 2023-08-24 16:43 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

Files

kernel.txt 604 KB 2023-05-31 移动测试一组_CDTS 刘强

all.txt 2.27 MB 2023-05-31 移动测试一组_CDTS 刘强
